%define upstream_name    Perl-Tidy
%define upstream_version 20160302

%{?perl_default_filter}

Name:       perltidy
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Script which indents and reformats Perl script
License:    GPL
Group:      Development/Tools
Url:        http://perltidy.sourceforge.net
Source0:    http://prdownloads.sourceforge.net/perltidy/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Perltidy is a Perl script which indents and reformats Perl scripts to
make them easier to read. If you write Perl scripts, or spend much time
reading them, you will probably find it useful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc BUGS CHANGES COPYING INSTALL META.yml MYMETA.yml README TODO examples
%_bindir/*
%_mandir/*/*
%{perl_vendorlib}/Perl

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 20160302.0.0-2.mga6
+ Revision: 1035194
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 20160302.0.0-1.mga6
+ Revision: 989839
- update to 20160302

* Sat Jan 16 2016 shlomif <shlomif> 20150815.0.0-1.mga6
+ Revision: 923909
- update to 20150815

* Sun Jul 19 2015 shlomif <shlomif> 20140711.0.0-1.mga6
+ Revision: 855293
- New version 20140711

* Wed Oct 15 2014 umeabot <umeabot> 20140328.0.0-3.mga5
+ Revision: 745453
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140328.0.0-2.mga5
+ Revision: 687070
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 20140328.0.0-1.mga5
+ Revision: 616312
- update to 20140328

* Tue Mar 25 2014 jquelin <jquelin> 20130922.0.0-2.mga5
+ Revision: 608264
- fix CVE-2014-2277 (mga#13081)

* Mon Feb 10 2014 jquelin <jquelin> 20130922.0.0-1.mga5
+ Revision: 588627
- update to 20130922

* Fri Oct 18 2013 umeabot <umeabot> 20121207.0.0-3.mga4
+ Revision: 516458
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20121207.0.0-2.mga3
+ Revision: 375626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 20121207.0.0-1.mga3
+ Revision: 342533
- update to 20121207

* Sun Oct 28 2012 malo <malo> 20120714.0.0-2.mga3
+ Revision: 310914
- update RPM group

* Fri Aug 31 2012 kharec <kharec> 20120714.0.0-1.mga3
+ Revision: 286419
- update to 20120714

* Thu Jul 05 2012 jquelin <jquelin> 20120701.0.0-1.mga3
+ Revision: 268036
- update to 20120701

* Fri Jan 21 2011 jquelin <jquelin> 20101217-1.mga1
+ Revision: 28347
- mageia rebuild
- imported package perltidy


* Mon Dec 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 20101217-1mdv2011.0
+ Revision: 623296
- update to new version 20101217

* Wed Jun 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 20090616-1mdv2010.0
+ Revision: 386732
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 20071205-4mdv2009.0
+ Revision: 258653
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 20071205-3mdv2009.0
+ Revision: 246645
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20071205-1mdv2008.1
+ Revision: 116181
- update to new version 20071205

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20070801-1mdv2008.0
+ Revision: 63982
- update to new version 20070801

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20070508-1mdv2008.0
+ Revision: 46536
- update to new version 20070508

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 20070504-1mdv2008.0
+ Revision: 23214
- 20070504
- Import perltidy



* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060719-1mdv2007.0
- New version 20060719

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060614-1mdv2007.0
- New version 20060614

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20031021-4mdk 
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20031021-3mdk 
- rpmbuildupdate aware

* Mon Mar 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20031021-2mdk
- fixed dir ownership (distlint)

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 20031021-1mdk
- new version

* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20030726-1mdk
- 20030726

* Fri May 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 20021130-4mdk
- fixed self-obsolescence (lenny sux)

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 20021130-3mdk
- merge the two perl tidy packages

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 20021130-2mdk
- rebuild

* Sun Dec 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 20021130-1mdk
- 20021130

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 20020425-3mdk
- rebuild for perl 5.8.0

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020425-2mdk 
- fixing list file for arch!=x86

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020425-1mdk
- 20020425
- fixed spec (thx Charles Jie)

* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020225-1mdk
- 20020225

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 20011016-2mdk
- new in contribs

* Thu Oct 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 20011016-1mdk
- first Mandrake package  
